#ifndef WCONFIG_H
#define WCONFIG_H

// Version defines
#define WT_SERIES 0x3
#define WT_MAJOR  0x1
#define WT_MINOR  0x2

/*! \brief A constant that encodes the library version of %Wt
 *
 * You may use this constant to check for the version of %Wt at build-time.
 */
#define WT_VERSION (((WT_SERIES & 0xff) << 24) | ((WT_MAJOR & 0xff) << 16) | ((WT_MINOR & 0xff) << 8))
#define WT_VERSION_STR "3.1.2"
#define WT_CLASS       "Wt3_1_2"

#define RUNDIR "/var/run/wt"
#define WT_CONFIG_XML "/etc/wt/wt_config.xml"
#define WTHTTP_CONFIGURATION "/etc/wt/wthttpd"

/* #undef WT_STATIC */
/* #undef WTDBO_STATIC */
/* #undef WTDBOPOSTGRES_STATIC */
/* #undef WTDBOSQLITE3_STATIC */
/* #undef WTHTTP_STATIC */
/* #undef WT_EXT_STATIC */
/* #undef WT_EXT_STATIC */

#if 0
#ifndef WT_TARGET_JAVA
  #define WT_DEBUG(statement) do { if (Wt::WApplication::instance()->debug()) statement; } while(0)
#else
  #define WT_DEBUG(statement)
#endif
#else
  #define WT_DEBUG(statement)
#endif

#endif

